DirectoryWithSnapshotFeature.DirectoryDiff (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode.snapshot, class: DirectoryWithSnapshotFeature, class: DirectoryDiff

Package org.apache.hadoop.hdfs.server.namenode.snapshot

# Class DirectoryWithSnapshotFeature.DirectoryDiff

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.snapshot.DirectoryWithSnapshotFeature.DirectoryDiff

All Implemented Interfaces:
  `Comparable<Integer>`

Enclosing class:
  DirectoryWithSnapshotFeature

public static class DirectoryWithSnapshotFeature.DirectoryDiff extends Object
The difference of an `INodeDirectory` between two snapshots.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryDiff(int snapshotId, INodeDirectory dir, org.apache.hadoop.hdfs.server.namenode.snapshot.DirectoryWithSnapshotFeature.ChildrenDiff diff)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `compareTo(Integer that)`
  Compare diffs with snapshot ID.
  `org.apache.hadoop.hdfs.server.namenode.snapshot.DirectoryWithSnapshotFeature.ChildrenDiff`
  `getChildrenDiff()`
  `final int`
  `getSnapshotId()`
  `boolean`
  `isSnapshotRoot()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DirectoryDiff

    public DirectoryDiff(int snapshotId, INodeDirectory dir, org.apache.hadoop.hdfs.server.namenode.snapshot.DirectoryWithSnapshotFeature.ChildrenDiff diff)

- ## Method Details

  - ### getChildrenDiff

    public org.apache.hadoop.hdfs.server.namenode.snapshot.DirectoryWithSnapshotFeature.ChildrenDiff getChildrenDiff()

  - ### isSnapshotRoot

    public boolean isSnapshotRoot()

  - ### toString

    public String toString()

  - ### compareTo

    public final int compareTo(Integer that)
    Compare diffs with snapshot ID.
    Specified by:
      `compareTo` in interface `Comparable<N extends INode>`

  - ### getSnapshotId

    public final int getSnapshotId()
    Returns:
      the snapshot object of this diff.